tigase.jaxmpp.core.client.xmpp.modules.extensions

## Class ExtensionsChain

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.extensions.ExtensionsChain

-     public class ExtensionsChain
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Collection<Extension>` | `extensions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtensionsChain()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExtension(Extension f)`
    `Element` | `executeAfterReceiveChain(Element element)`
    `Element` | `executeBeforeSendChain(Element element)`
    `Collection<Extension>` | `getExtension()`
    `<T extends Extension> T` | `getExtension(Class<T> cls)`
    `Collection<String>` | `getFeatures()`
    `void` | `removeExtension(Extension f)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### extensions

          protected final Collection<Extension> extensions

  - ### Constructor Detail

    - #### ExtensionsChain

          public ExtensionsChain()

  - ### Method Detail

    - #### addExtension

          public void addExtension(Extension f)

    - #### executeAfterReceiveChain

          public Element executeAfterReceiveChain(Element element)

    - #### executeBeforeSendChain

          public Element executeBeforeSendChain(Element element)

    - #### getExtension

          public Collection<Extension> getExtension()

    - #### getExtension

          public <T extends Extension> T getExtension(Class<T> cls)

    - #### getFeatures

          public Collection<String> getFeatures()

    - #### removeExtension

          public void removeExtension(Extension f)

Copyright © 2006–2016 Tigase. All rights reserved.